that didn't work out as intended
authorMichael Wallner <mike@php.net>
Wed, 29 Jul 2015 11:18:27 +0000 (13:18 +0200)
committerMichael Wallner <mike@php.net>
Wed, 29 Jul 2015 11:18:27 +0000 (13:18 +0200)
As testing against different server versions doesn't make much sense
when not also using the respective libpq version, we'll just test
against the most current.

.travis.yml

index be7f250..2843f3c 100644 (file)
@@ -14,76 +14,40 @@ matrix:
     include:
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS=""
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS=""
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS=""
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
-              postgresql: 9.2
-              apt: 
-                  packages: 
-                      - libpq-dev-9.2
+              postgresql: 9.4
 
 before_script:
     - ./travis/compile-php.sh